Get CustomEntitySchema by ID
Get a single CustomEntitySchema by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
custom_entity_schema_id
ID of the CustomEntitySchema.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
availableRegistrationNamingOptions
constraint
Defines uniqueness requirements for entities within a schema. Constraints ensure that
registered entities have unique values across specified fields (see fieldDefinitionNames)
or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues
field is a legacy indicator for sequence uniqueness.
containableType
Allowed values:
containerNameTemplate
A name template for containers.
createdAt
description
fieldDefinitions
fieldsets
iconId
id
includeRegistryIdInChips
itemIdPrefix
modifiedAt
name
nameTemplate
A name template for entities.
organization
systemCategories
systemName
useRegistryIdForItemDisplayLabel
validationRules
Errors
400
Custom Entity Schema Get Request Bad Request Error
403
Custom Entity Schema Get Request Forbidden Error
404
Custom Entity Schema Get Request Not Found Error
429
Custom Entity Schema Get Request Too Many Requests Error
500
Custom Entity Schema Get Request Internal Server Error